Jump to content

[1.9.1+] OPT Spaceplane Continued 3.0 [Jan 2, 2021]


Recommended Posts

bTbsl9J.pngPNywtA0.png

A truly marvelous plane parts pack that has been around since at least KSP 0.90 and has aged very well (especially when the older J and K bodies were moved into Legacy (renamed to Stail and Avatar) and the current J and K bodies arose to replace them) and is hugely popular for its modularity and ample cargo bay spaces.

This re-post finally removes the old included bundled mods from the download itself and allows you to follow it with CKAN for KSP 1.9+. Some feature updates may come, such as localization and hangars, but don't get too excited. I have other very large projects now.

Original thread:

OPT Legacy/Reconfig thread:

 

Features (Images):

0VzmOkY.png

rPyY88J.png

KCSpeUo.png

PFr68Gy.png

U0ANWHB.png

 

Credits:

Original Creator:

@K.Yeon

Maintenance/Test team between K. Yeon's silent exit and my takeover:

@stali79, @Spanksh, @Starwaster, @Stone Blue, @Mycroft, @M_Ouellette

Contributors:

[everyone above] + @Winchester, @Flashblade

The guy in the back:

@Stone Blue :D

 

Recommended Mods:

  • Raster Prop Monitor or ASET Avionics.
  • OPT Legacy (Maybe just for the VTOL engine suite. Everyone wants a VTOL-capable spaceplane).
  • ....Practically everything else is handled by OPT Reconfig which is now required.
    • Community Resource Pack or Wild Blue Industries: Classic Stock (resource systems).
    • Your choice life support (USI, Kerbalism, Snacks! or TAC).
    • Your choice fuel tank provider (B9 Part Switch, Configurable Containers, Modular Fuel Tanks, WBI).
    • Cryogenic Engines.
    • Kerbal Planetary Base Systems. (KH cargo bay is made to fit the core tower part.)
    • Wild Blue Industries: Buffalo and Pathfinder.
  • WorldStabilizer. ( SpaceDock | GitHub | Thread ) Suppresses the 1km spawn bug that plagues some animated parts.

 

DOWNLOAD OPT CONTINUED :: SPACEDOCK

REQUIREMENTS:

88x31.png

 

 

Edited by JadeOfMaar
Link to post
Share on other sites

Yay! Congrats. I can't wait to get to these parts in my new play-through.

Is it not quite fully transitioned away from the legacy pack? Are you going to sub-package the VTOL engines so there aren't also a bunch of redundant parts, or is that a worry?

Link to post
Share on other sites

@Beetlecat There's nothing substantial in OPT Continued. It's just... precisely this:

9 hours ago, JadeOfMaar said:

finally removes the old included bundled mods from the download itself and allows you to follow it with CKAN for KSP 1.9+.

But I -can- pack just the VTOL engines (or just all of the engines) as its own mod or better, work with LGG to update Legacy's netkan to create/split such a mod out of it and have it marked as incompatible with its parent.

 

Link to post
Share on other sites

Hey, I'm new to this mod and have a question: are the Legacy parts supposed to be part of this version? If so, is there a way to take them out and only keep the newer ones? There seems to be a lot of redundancy. I installed with CKAN and didn't see such an option.

Edit: I also noticed that you put Legacy into Recommended, but it's a dependency of Reconfig and so also a dependency of Continued.

Edited by Apelsin
Link to post
Share on other sites

@Apelsin No. OPT is 3 separate mods:

  • Continued (of the main parts pack);
  • Legacy (retired parts pack and expansion pack);
  • Reconfig (which carries a lot of configs shared by the two parts packs and was made to support the main pack while I was unwilling to fully takeover.

A mod marked as recommended in CKAN should still be optional (that you can uncheck it if you don't want it) but thanks for spotting that dependency. That may have been necessary before, but not now.

Link to post
Share on other sites

I really like the parts in this mod.  That said, I noticed that whenever I use an OPT J Deployment Bay and try to launch from the runway, it seems the spaceplane doesn't spawn on the runway, but rather 1000 meters above the ground (which thus far has been relatively catastrophic, albeit amusing :D).  Has anyone else noticed this?

Link to post
Share on other sites

For some reason, with both Firespitter and Modular Fuel Tanks installed, fuselages use FS tanks instead of MFT tanks.

 

Here is MFT patch:

@PART[h_2m_em_fm]:NEEDS[ModularFuelTanks]
{
    MODULE
    {
        name = ModuleFuelTanks
        type = Fuselage
        volume = 612
        basemass = -1
    }
}

And FS patch for the same part:

@PART[h_2m_em_fm]:NEEDS[Firespitter]
{
MODULE
{
name=FSfuelSwitch
resourceNames=Structural;LiquidFuel;LiquidFuel,Oxidizer;LiquidFuel,Oxidizer;LiquidFuel,Oxidizer,MonoPropellant
resourceAmounts=0;288;144,176;72,88;100.8,123.2,43.2
basePartMass=0.67
tankMass=0;0;0;0;0
tankCost=0;0;0;0;0
displayCurrentTankCost=false
hasGUI=true
showInfo=true
}
}

FS patch should be changed to this:

@PART[h_2m_em_fm]:NEEDS[Firespitter&!ModularFuelTanks]
	{
      MODULE
      {
        name=FSfuelSwitch
        resourceNames=Structural;LiquidFuel;LiquidFuel,Oxidizer;LiquidFuel,Oxidizer;LiquidFuel,Oxidizer,MonoPropellant
        resourceAmounts=0;288;144,176;72,88;100.8,123.2,43.2
        basePartMass=0.67
        tankMass=0;0;0;0;0
        tankCost=0;0;0;0;0
        displayCurrentTankCost=false
        hasGUI=true
        showInfo=true
	}
}

Doing this would move Firespitter Core into recommended or suggested category instead of required.

Link to post
Share on other sites

@Monniasza I don't support Firespitter. You're using the older OPT Spaceplane/Main download which does include Firespitter. OPT Continued is not that (it is a separate mod/post on SpaceDock) and requires OPT Reconfig which does better integration with, and collision detection between other popular fuel switching mods (including MFT but excluding Firespitter).

Edited by JadeOfMaar
Link to post
Share on other sites

I installed OPT with Legacy and Reconfig, and noticed that I am unable to add fuel to the wings let alone change the tanks. I'm not sure if this is an issue with B9 Part Switch or the Community Resource Pack. Is B9 still needed? Not sure what else could be causing the issue. 

Link to post
Share on other sites
21 hours ago, FritzJ131 said:

I installed OPT with Legacy and Reconfig, and noticed that I am unable to add fuel to the wings let alone change the tanks. I'm not sure if this is an issue with B9 Part Switch or the Community Resource Pack. Is B9 still needed? Not sure what else could be causing the issue. 

The B9 options don't appear if you have other fuel switchers installed, namely, Configurable Containers (which is present if you have any of Allista's mods). B9 is the default fuel provider and is suppressed when alternatives are present.

On 8/26/2020 at 5:28 PM, Specia1 said:

How do i attach a elevon to a wing? I have been trying to figure it out for 15 minutes, am i stupid or am i missing something?

At first, don't try it with angle snap enabled. After placing the elevon, turn on snap, (optionally hold Shift,) and finely position it. When you get accustomed to it, try it with angle snap enabled and only hover the elevon over the thin trailing edge of the wing (not the wider upper/lower surface of the wing).

Make use of the sub-assemblies storage feature of KSP to reduce the need to rebuild the wings every time you want them.

Link to post
Share on other sites
On 8/26/2020 at 6:45 PM, JadeOfMaar said:

@Monniasza I don't support Firespitter. You're using the older OPT Spaceplane/Main download which does include Firespitter. OPT Continued is not that (it is a separate mod/post on SpaceDock) and requires OPT Reconfig which does better integration with, and collision detection between other popular fuel switching mods (including MFT but excluding Firespitter).

Please add OPT Space Plane Continued to CKAN.

Link to post
Share on other sites
6 hours ago, Monniasza said:

Please add OPT Space Plane Continued to CKAN.

I had LinuxGurGamer take care of that the same day I posted it. The existing OPT Spaceplane entry on CKAN was renamed and redirected to point to this.

However, it's minimum KSP version is KSP 1.9. You'll need to purge/reset/reinstall your CKAN, perhaps?

Tjl6utL.png

It all works out fine for me.

Link to post
Share on other sites

I've gotten some strange error messages in regards to a few OPT engines.  Running on 1.10.1.

[ModuleSrfFX]: No IThrustProvider module found at index 0!

Or index 1 or 2 etc.  It's admittedly not JUST OPT parts, but ALSO some NMB engines as well.  I've stripped everything but stock and NMB to test for a fix and I can't find anything.  So, I was wondering if you'd ever run into an issue like this previously.  Parts that worked flawlessly in a 1.9 version of the game don't work for 1.10.1 and there are virtually zero differences between their CFGs.

Edited by Ryugi
Link to post
Share on other sites
  • 2 weeks later...

Hey, the OPT power plants are requiring H2 to generate power, which is a resource I don't have provided by any mods, and looking through what i can find in the files and such its supposed to be LFO, how did I mess this up and how do I rectify it? All of the engines I used to use now have a huge power cost and I'm struggling to supply it without clipping in 900 PB-NUKs.

Link to post
Share on other sites

@Jaeburwahkei I'm pretty sure, that the required dependency for this mod, OPT Rconfig, is what actually handles resource definitions and switching, for both the OPT *parts* mods.
Also, looking at the last few posts, it seems a similar, if not the same issue as yours, is talked about.

Might be better to read back a little, and post on *that* thread, if you dont see a fix already posted... vOv
 

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...